import { EventEmitter, OnChanges, OnInit, SimpleChanges } from "@angular/core";
import { MatIconRegistry } from "@angular/material/icon";
import { DomSanitizer } from "@angular/platform-browser";
import { TranslateLibraryService } from '../../../services/translation-registry.service';
import { QMSIconRegistryService } from "../../app-icon/icon-registry.service";
import { DataType } from "../common/data-type.enum";
import { IRelated, RelatedData } from "../model/related-data.model";
export declare class RelatedListComponent implements OnInit, OnChanges {
    private domSanitizer;
    translate: TranslateLibraryService;
    private iconRegistry;
    private appIconService;
    LANG: any;
    title: string;
    isNotEditedItem: boolean;
    relatedData: Array<IRelated>;
    dataType: typeof DataType;
    imageProcess: string;
    data: RelatedData;
    showStatus: boolean;
    updateData: EventEmitter<any>;
    onItemSelect: EventEmitter<any>;
    constructor(domSanitizer: DomSanitizer, translate: TranslateLibraryService, iconRegistry: MatIconRegistry, appIconService: QMSIconRegistryService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    getImagePath(): string;
    removeItem(index: number): void;
    onCloseClick(): void;
    onItemClick(item: any): void;
    onItemBreadcrumbClick(event: any): void;
    getItemStatus(item: any): string;
    getNodeIcon(item: any): "process" | "process_area_outlined" | "document" | "document_local" | "document_enterprise" | "document_department" | "document_regional" | "folder_outlined" | "local_folder_outlined" | "enterprise_folder_outlined" | "regional_folder_outlined" | "department_folder_outlined" | "deviation" | "checklist" | "risk";
    canShowParent(item: any): boolean;
}
